test/configure

changeset 14
87fea7ab27de
parent 13
cdf8bf4549c4
child 15
971ac4f0f1df
--- a/test/configure	Tue Aug 13 22:15:36 2019 +0200
+++ b/test/configure	Sun Jun 07 14:42:06 2020 +0200
@@ -373,6 +373,19 @@
 	ERROR=1
 fi
 
+# Features
+if [ ! -z "$FEATURE_PG" ]; then
+	# check dependency
+	dependency_libpq
+	if [ $? -ne 0 ]; then
+		# "auto" features can fail and are just disabled in this case
+		if [ $FEATURE_PG != "auto" ]; then
+			DEPENDENCIES_FAILED="$DEPENDENCIES_FAILED libpq "
+			ERROR=1
+		fi
+	fi
+fi
+
 
 echo >> $TEMP_DIR/config.mk
 if [ ! -z "${CFLAGS}" ]; then

mercurial